Subject: bug#73519: closed (Re: bug#73081: installer crash: iso-codes is too old)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Sep 2024 13:49:02 +0000

Your bug report

#73081: Generated installation image fails to launch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73081: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73081
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73081: installer crash: iso-codes is too old
From: Ludovic Courtès <[email-masked]>
To: Roman Scherer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 28 Sep 2024 15:47:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Roman,

Roman Scherer <[email-masked]> skribis:

> I tried to address the comments mentioned by Ludo and tested them by
> booting into the installer. It seems to work now. I don't see it
> crashing anymore.
>
> Please find the patches attached to this mail.
>
> Could you please review them, and if ok merge them?

Pushed:

  e076b8b884 installer: Use the latest ‘iso-codes’.
  2ae666c471 gnu: Add iso-codes.
  8e5c8303a4 gnu: iso-codes: Rename to iso-codes/pinned.

I tweaked the commit logs and added a comment in ‘installer.scm’ about
the choice of the ‘iso-codes’ version.

Thank you!

Ludo’.

Subject: Generated installation image fails to launch
From: Aidan Welch <[email-masked]>
To: [email-masked]
Date: Fri, 27 Sep 2024 18:32:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 Hi, I built my own install image("guix (GNU Guix)
8172b25ea22762b361b14600292c154a10579b47" installed on Ubuntu), when I try
to boot it "the installer has encountered an unexpected error", the
backtrace is basically as follows (cutting out a bit so its typeable).

In srfi/srfi-1.scm: 586:29 19 (the map of locales)
586:29 18 (the map of locales with the first removed)
... ... ...
586:29 11 (the map of locales now starting with "tok") In
gnu/installer/newt/page.scm
415:26 10 (_ "tok") In gnu/installer/newt/locale.scm:
160:28 9(_ "tok") In unknown file: 8 (gettext #f "iso_639-3" #<undefined>)

and it continues on- but I think this is most of the relevant part

I also tried installing on a virtual machine with the same issue- but in
that case I was able to upload the dump as "installer-dump-c76fee78"